DEVRES_ALLOC(9)

NAME
devres_alloc - Allocate device resource data

SYNOPSIS

void * devres_alloc(dr_release_t release, size_t size, gfp_t gfp);

ARGUMENTS

release
    Release function devres will be associated with

size
    Allocation size

gfp
    Allocation flags

DESCRIPTION

Allocate devres of size bytes. The allocated area is zeroed, then associated with release. The returned pointer can be passed to other devres_*() functions.

RETURNS

Pointer to allocated devres on success, NULL on failure.

COPYRIGHT